/*  combi_funciones.js   */

window.onload = function() {

    var mapDiv = document.getElementById('map');
    var morelia = new google.maps.LatLng(19.702474, -101.192322);

    var options = {
        center: morelia,
        zoom: 13,
        mapTypeId: google.maps.MapTypeId.ROADMAP
    };
    
    var mapa = new google.maps.Map(mapDiv, options);
    

    
    // Los primeros 2 puntos fijos
    var punto_01 = new google.maps.Marker({
        position: new google.maps.LatLng(19.727640, -101.180497),
        map: mapa
    });
    
    var punto_02 = new google.maps.Marker({
        position: new google.maps.LatLng(19.728046, -101.183224),
        map: mapa
    });
    

    // crear un arreglo de puntos (punto 3 al 6) de la ruta de la combi

    var marcadores = [
        ['Barcelona',19.726433, -101.183640,'Barcelona'],
        ['Tarragona',19.724555, -101.184949,'Tarragona'],
        ['Girona',19.722262, -101.187615,'Girona'],
        ['Lleida',19.721181, -101.188366,'Lleida'],
    ];

    for (var i = 0; i < marcadores.length; i++) {
            var myLatLng = new google.maps.LatLng(marcadores[i][1], marcadores[i][2]);
            var marker = new google.maps.Marker({
                position: myLatLng,
                map: mapa
            }
                                               );
        }
    
    


    }